Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

Dark Dreams of Furiae - a new module for NWN:EE! Buy now
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

[MOD] -Might and Guile- a tweak mod and kit pack for warriors and rogues.

17778798183

Comments

  • rackhirrackhir Member Posts: 2
    I am playing EET with Might and Guile as a Jester right now. I just found a piece of sheet music, but I cannot figure out how to actually use it.

    Based on the description in the mod, I *thought* that I would be able to learn the song and add it to my repertoire, but right click just brings up a description and the "done" button, with no option to write it to my book.

    I also experimented with putting it into a quick item slot. That brings up the spell targeting icon, but afterwords nothing happens. The song is expended when I do this.

    Apologies if this came up somewhere previously in the thread. I have been scrolling backward through the thread, but have not yet encountered the info I am after.

    Thanks for the mod!

  • enneractenneract Member Posts: 187
    Can anyone advise as to the specific version numbers and install order to get Might & Guile, Faiths & Powers, and Tome & Blood working together?

    Using the latest versions and the order in the M&G readme causes a failed install for M&G feat system, and doing F&P -> M&G -> T&B gets successful install but some bugs, notably weird behavior with feats.

    ThacoBellstargazerb
  • EndarireEndarire Member Posts: 239
    edited December 2019
    @subtledoctor
    Might and Guile refused to install for me, even after manual extraction and proper placement.

    My Mod List - Attached to first post.

    Errors:

    C:\a\BG2EE>

    ERROR: cannot convert kitids_num or %kitids_num% to an integer
    ERROR: [kitlist.2da] -> [override] Patching Failed (COPY) (Not_found)
    ERROR: Not_found
    Feat System (Might and Guile) was not installed due to errors.

    You can try to repair the problem and start the installation of the component
    again. In this case please select "retry" after the repair.

    If you don't want to spent
    time for that now, you can also continue without the component or exit the
    program. The Setup will continue with the installation of that component.
    Enter [r]etry, [c]ontinue or [e]xit.

    -- -- -- Separate Error -- -- --

    ERROR: cannot convert kitids_num or %kitids_num% to an integer
    ERROR: [kitlist.2da] -> [override] Patching Failed (COPY) (Not_found)
    ERROR: Not_found
    Bard Overhaul: Multiclass Bards (Might and Guile) was not installed due to errors.

    Post edited by Endarire on
    stargazerb
  • ThacoBellThacoBell Member Posts: 10,782
    @subtledoctor The feat system fails to install with the error, "not found"

    I did FnP first, then TnB, then MnG, as per the readme.
    Then I tried again with FnP, MnG, Tnb and got the same error.

  • RolandoArnimanRolandoArniman Member Posts: 17
    edited December 2019
    enneract wrote: »
    Can anyone advise as to the specific version numbers and install order to get Might & Guile, Faiths & Powers, and Tome & Blood working together?

    Using the latest versions and the order in the M&G readme causes a failed install for M&G feat system, and doing F&P -> M&G -> T&B gets successful install but some bugs, notably weird behavior with feats.

    After a couple of failed installs I've decided to revert to the old version of FnP, my current install order looks like this:

    TnB 0.8.42 -> FnP 0.77sd10 -> MnG 4.4

    It seems to be working fine so far (during a SoD campaign atm).

  • [Deleted User][Deleted User] Posts: 0
    edited December 2019
    The user and all related content has been deleted.

    StummvonBordwehrWise_Grimwald
  • ThacoBellThacoBell Member Posts: 10,782
    edited December 2019
    @subtledoctor I've got all the latest versions. Feats just plain will not install. I'm on BG2ee. I've done FnP, TnB, MnG. As well as FnP, MnG, TnB. I remember you saying FnP needed to be first. Is there something I'm missing?

    Attached debug file.

  • [Deleted User][Deleted User] Posts: 0
    edited December 2019
    The user and all related content has been deleted.

  • ThacoBellThacoBell Member Posts: 10,782
    @subtledoctor putting TnB first doesn't work, some of the components fail if it doesn't detect MnG.

    Wise_Grimwald
  • The user and all related content has been deleted.

  • ThacoBellThacoBell Member Posts: 10,782
    edited December 2019
    @subtledoctor As of the time of my previous post, I sure am using all the most recent versions. Unless you no longer uopdate Github.

    I was able to get them to install, but Tome and Blood HAD to go after Might and guile or it wouldn't install. Oh and EENPC also won't install due to Error: "Not Found" Is there possibly something wrong with files as they are uploaded? You can see above at least two other people haveing the same troubles. So its not just "my system" being wonky.

  • [Deleted User][Deleted User] Posts: 0
    edited December 2019
    The user and all related content has been deleted.

  • ThacoBellThacoBell Member Posts: 10,782
    @subtledoctor enneract had the same issue.
    enneract wrote: »
    Can anyone advise as to the specific version numbers and install order to get Might & Guile, Faiths & Powers, and Tome & Blood working together?

    Using the latest versions and the order in the M&G readme causes a failed install for M&G feat system, and doing F&P -> M&G -> T&B gets successful install but some bugs, notably weird behavior with feats.

    And RolandoArniman had the issue to the point they consciously went back to an older version.
    enneract wrote: »
    Can anyone advise as to the specific version numbers and install order to get Might & Guile, Faiths & Powers, and Tome & Blood working together?

    Using the latest versions and the order in the M&G readme causes a failed install for M&G feat system, and doing F&P -> M&G -> T&B gets successful install but some bugs, notably weird behavior with feats.

    After a couple of failed installs I've decided to revert to the old version of FnP, my current install order looks like this:

    TnB 0.8.42 -> FnP 0.77sd10 -> MnG 4.4

    It seems to be working fine so far (during a SoD campaign atm).

    These are on this same page. Are you even reading your own thread? And no, I won't go to Gibberlings 3, the website gives me eyestrain. I can't focus on any website that has white or light grey as its background color. Is there any particular reason you decided to just dump the people who have been supporting these mods from the start?

  • RolandoArnimanRolandoArniman Member Posts: 17
    ThacoBell wrote: »
    @subtledoctor enneract had the same issue.
    enneract wrote: »
    Can anyone advise as to the specific version numbers and install order to get Might & Guile, Faiths & Powers, and Tome & Blood working together?

    Using the latest versions and the order in the M&G readme causes a failed install for M&G feat system, and doing F&P -> M&G -> T&B gets successful install but some bugs, notably weird behavior with feats.

    And RolandoArniman had the issue to the point they consciously went back to an older version.
    enneract wrote: »
    Can anyone advise as to the specific version numbers and install order to get Might & Guile, Faiths & Powers, and Tome & Blood working together?

    Using the latest versions and the order in the M&G readme causes a failed install for M&G feat system, and doing F&P -> M&G -> T&B gets successful install but some bugs, notably weird behavior with feats.

    After a couple of failed installs I've decided to revert to the old version of FnP, my current install order looks like this:

    TnB 0.8.42 -> FnP 0.77sd10 -> MnG 4.4

    It seems to be working fine so far (during a SoD campaign atm).

    These are on this same page. Are you even reading your own thread? And no, I won't go to Gibberlings 3, the website gives me eyestrain. I can't focus on any website that has white or light grey as its background color. Is there any particular reason you decided to just dump the people who have been supporting these mods from the start?

    I actually think that @subtledoctor explained why the mods weren't working properly below.
    No - their problems stemmed from the mod reading kitlist.2da after certain NPC mods have been installed. That problem is now fixed, in TnB 0.8.45, FnP 0.79.3, and MnG 4.4.2.

    I cannot 100% confirm it since I'm on a campaign but it seems logical since I've always been installing a couple of NPC mods beforehand.


  • The user and all related content has been deleted.

  • ThacoBellThacoBell Member Posts: 10,782
    @subtledoctor No its not really a choice. G3 literally causes me physical pain. You're talking like I SHOULD suffer a migraine to talk about your mods.

  • rapsam2003rapsam2003 Member Posts: 1,636
    edited December 2019
    So... @ThacoBell , let me get this straight. You're complaining that subtledoctor , for no pay, is continuing to support these mods on G3? Gotcha.

    subtledoctor doesn't owe you or anyone else a thing. Get over it.

  • DjinnDjinn Member Posts: 75
    @ThacoBell is there a reason you don't use technology assistance for things like eye strain with e.g. the dark mode plugin extension for firefox?
    I suffer from eyestrain too with white backgrounds especially, and the dark mode plugin for firefox helps me get around that problem.

    ThacoBellDerpCityGusindaWise_Grimwald
  • ThacoBellThacoBell Member Posts: 10,782
    rapsam2003 wrote: »
    So... @ThacoBell , let me get this straight. You're complaining that subtledoctor , for no pay, is continuing to support these mods on G3? Gotcha.

    subtledoctor doesn't owe you or anyone else a thing. Get over it.

    Cool, yeah. Just go ahead and put words in my mouth and then tell me to get over it when all I said was that I CAN'T follow the mod to G3 because of eye strain. Godd to know that any kind of physical ability outside the norm makes me a target of disdain.

    @Djinn I legitimately didn't know that was a thing. Thank you for actually being helpful, rather than get angry at me for having a physical issue.

    Wise_GrimwaldDjinn
  • rapsam2003rapsam2003 Member Posts: 1,636
    ThacoBell wrote: »
    rapsam2003 wrote: »
    So... @ThacoBell , let me get this straight. You're complaining that subtledoctor , for no pay, is continuing to support these mods on G3? Gotcha.

    subtledoctor doesn't owe you or anyone else a thing. Get over it.

    Cool, yeah. Just go ahead and put words in my mouth and then tell me to get over it when all I said was that I CAN'T follow the mod to G3 because of eye strain. Godd to know that any kind of physical ability outside the norm makes me a target of disdain.
    No, your ungrateful attitude is the subject of my disdain.

  • ThacoBellThacoBell Member Posts: 10,782
    rapsam2003 wrote: »
    ThacoBell wrote: »
    rapsam2003 wrote: »
    So... @ThacoBell , let me get this straight. You're complaining that subtledoctor , for no pay, is continuing to support these mods on G3? Gotcha.

    subtledoctor doesn't owe you or anyone else a thing. Get over it.

    Cool, yeah. Just go ahead and put words in my mouth and then tell me to get over it when all I said was that I CAN'T follow the mod to G3 because of eye strain. Godd to know that any kind of physical ability outside the norm makes me a target of disdain.
    No, your ungrateful attitude is the subject of my disdain.

    Being unable to change websites because the new one aggravates my migraines is not bein ungrateful. Especially not when the response to this is, "get over it." Or, "That's your choice." Because it certainly ISN'T my choice. I do not choose to be light sensitive or have migraines.

  • rapsam2003rapsam2003 Member Posts: 1,636
    It IS your choice to lash out at subtledoctor because he has moved to G3.

  • DjinnDjinn Member Posts: 75
    edited December 2019
    Cool, glad to have helped!
    I hope you find it as useful as I have.

    It really made a lot of things so much easier for me because I can work without the eye strain.

    I also use darker themes for my both my android devices and my desktops/laptops at home and at work. Linux has had that option for years, but now that both windows 10 and Mac OS X also have dark themes that affect the entire GUI, the days where I could only (barely) function when pumped up on pain killers and meds due to eye strain related issues are almost completely gone. So yay!

    DerpCityStummvonBordwehrWise_GrimwaldThacoBell
  • Wise_GrimwaldWise_Grimwald Member Posts: 2,757
    I'm so glad that a genuine problem has been solved. The vast majority of the people on this site do try to be helpful which is why I tend to stay here for information, just going elsewhere as and when necessary. :)

    StummvonBordwehrDjinnThacoBell
  • The user and all related content has been deleted.

    rapsam2003Djinn
  • Eltharion1979Eltharion1979 Member Posts: 75
    Hello Subtledoctor, I have an issue with your mod, I have a stalker level 24, but still he cant put traps, all attemps failed. Any idea why? Thank you in advance, take care.

  • EndarireEndarire Member Posts: 239
    I got this error when installing via Big World Setup:

    Revised Archery (Might and Guile) was installed successfully.
    Bard Overhaul: Multiclass Bards (Might and Guile) was installed successfully.

    WARNING: Internal ability name too long [D5_NUMAT]. Skipping.
    WARNING: Internal ability name too long [D5_NUMAT]. Skipping.
    Revised Multiclassing and Multiclass Kits (Might and Guile) was installed with warnings.
    Improved Rangers (Might and Guile) was installed successfully.
    Revised Movement Bonuses (Quickstride) (Might and Guile) was installed successfully.
    Revised Berserker and Rage (Might and Guile) was installed successfully.
    Revised Monk Fists (Might and Guile) was installed successfully.

    skipping new kit components

    Add the Mage Hunter (ranger kit) (Might and Guile) was skipped.

    If a component was skipped during the install, this indicates a conflict or
    dependency that's still missing in the configuration. Either a similar component is
    already installed and thus this message is harmless, or the component depends on
    a mod that's missing. If you don't want to continue after your analysis, you can stop
    the setup now and resume from this point later.
    Enter [c]ontinue or [e].

  • ALIENALIEN Member Posts: 1,069
    @Endarire Big World Setup is outdated and not supported anymore. It might still work but please do not report bugs to mod authors if you use it.

  • The user and all related content has been deleted.

Sign In or Register to comment.